#include <stdint.h>
#include "mmio.h"
#include "bcm2835_periph.h"

int timer_init(void) {

	mmio_write(IRQ_ENABLE_BASIC_IRQ,IRQ_ENABLE_BASIC_IRQ_ARM_TIMER);

	/* The base clock is 1MHz */
	/* We enable TIMER_CONTROL_PRESCALE 256 so this is reduced to 4kHz */
	/* Write a value to TIMER_LOAD below to have the interrupt */
	/* Happen at 2Hz */
//	mmio_write(TIMER_LOAD,??????);

	/* Setup the ARM Timer */
	mmio_write(TIMER_CONTROL,
		TIMER_CONTROL_32BIT |
		TIMER_CONTROL_ENABLE |
		TIMER_CONTROL_INT_ENABLE |
		TIMER_CONTROL_PRESCALE_256);

}
